package com.xunmei.system.api.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.xunmei.common.core.web.domain.BaseEntity;
import com.xunmei.system.api.enums.OrgType;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * @author :LuoWei
 * @date : 2023/8/14
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("sys_area")
@ApiModel(value = "SysArea对象" , description = "【区域管理实体】")
public class SysArea extends BaseEntity
{
    private static final long serialVersionUID=1L;

    /** $column.columnComment */
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    /** 名称 */
    @ApiModelProperty(value = "名称")
    private String name;

    /** 最后修改人id */
    @ApiModelProperty(value = "最后修改人id")
    private Long updateId;

    /** 删除标志（0代表存在 2代表删除） */
    private Long delFlag;

    /** $column.columnComment */
    @ApiModelProperty(value = "${comment}" , notes = "$column.readConverterExp()")
    private String orgType;


    @Override
    public String toString(){
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)


                .append("id" ,getId())


                .append("name" ,getName())


                .append("createTime" ,getCreateTime())


                .append("updateBy" ,getUpdateBy())


                .append("updateTime" ,getUpdateTime())


                .append("updateId" ,getUpdateId())


                .append("delFlag" ,getDelFlag())


                .append("orgType" ,getOrgType())
                .toString();
    }
}
